my $header = &open_format("$FTP::cfg_msg_path/laston_top");
my $tail   = &open_format("$FTP::cfg_msg_path/laston_tail");
my $laston_file = "$FTP::cfg_var_path/log/laston.log";

my $_site_laston = sub {
    my $body;

    local *LASTFILE;
    if (open (LASTFILE, "< $laston_file")) {
        while (<LASTFILE>) {
	    $body .= $_;
    	}
	close(LASTFILE);
    } else {
	return (500, "No laston file found");
    }
    return(200, $header . $body . $tail);
};

sub laston { &$_site_laston; }

&FTP::bind_site_cmd ("laston", $_site_laston);

# EOF
