#!/bin/sh
if [ $# -ne 1 ]; then
  echo syntax: $0 \<compare_directory\>
  exit 1
fi
echo >diff.txt
for j in ftpa ftpd ftps common; do
  for i in $j/*.h $j/*.c; do
    echo >>diff.txt
    echo $i >>diff.txt
    echo >>diff.txt
    diff -ubNB $1/src/$j/`basename $i` $i >>diff.txt
    echo "============================================================" >>diff.txt
  done
done
vi diff.txt
exit 0
