/* ---------------------------------------------------------------------------
 *
 *   This file is part of OpenFTPD (based on FTP4ALL)
 *   (C) 1996-2000 by Crescent, (C) 2000 by the OpenFTPD Team
 *
 * ---------------------------------------------------------------------------
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 * ---------------------------------------------------------------------------
 *   HEADER: f4adp_user.h
 * ---------------------------------------------------------------------------
 */

int f4adp_usr_add(struct child_s* c, char** p, int n);
int f4adp_usr_adq(struct child_s* c, char** p, int n);
int f4adp_usr_chg(struct child_s* c, char** p, int n);
int f4adp_usr_credits(struct child_s* c, char** p, int n);
int f4adp_usr_get(struct child_s* c, char** p, int n);
int usr_kick(struct child_s** c, struct user_s* u, int signo);
int f4adp_usr_kick(struct child_s* c, char** p, int n);
int f4adp_usr_kill(struct child_s* c, char** p, int n);
int f4adp_usr_ls(struct child_s* c, char** p, int n);
int f4adp_usr_lsr(struct child_s* c, char** p, int n);
int f4adp_usr_nfo(struct child_s* c, char** p, int n);
int f4adp_usr_pwd(struct child_s* c, char** p, int n);
int f4adp_usr_rm(struct child_s* c, char** p, int n);
int f4adp_usr_rst(struct child_s* c, char** p, int n);
int f4adp_usr_set(struct child_s* c, char** p, int n);
int f4adp_usr_activity(struct child_s* c, char** p, int n);
int f4adp_usr_cwd(struct child_s* c, char** p, int n);
int has_group_free_slots(int gid, char *str, int size);
int f4adp_gop_add(struct child_s* c, char** p, int n);
int f4adp_gop_del(struct child_s* c, char** p, int n);
int f4adp_op_add(struct child_s* c, char** p, int n);
int f4adp_op_del(struct child_s* c, char** p, int n);

/* EOF */
