/*
    $Id: perl_layer.h,v 1.6 2001/02/27 15:02:35 prime Exp $

    Copyright (C) 2000 Herbert Valerio Riedel <hvr@gnu.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __PERL_LAYER_H__
#define __PERL_LAYER_H__

#include <glib.h>

/* enable some experimental stuff */
/* #define PERL_EXPERIMENTAL */

void perl_init (void);
void perl_done (void);

gint perl_call_subf (const gchar sub[], const gchar fmt[], ...);

const gchar *perl_call_subf_str (const gchar sub[], const gchar fmt[], ...);

void perl_set_var_str (const gchar var[], const gchar val[]);
void perl_set_var_int (const gchar var[], gint val);

gint perl_load_file (const gchar script_name[]);

gint perl_eval_str (const gchar str[]);

#endif /* __PERL_LAYER_H__ */
