# $Id: sgetopt.pm,v 1.1 2001/02/27 00:44:33 hvr Exp $

package sgetopt;
require Exporter;

@ISA         = qw(Exporter);
@EXPORT      = qw(sgetopt);

sub sgetopt ($%) {
  use Getopt::Long;
  my $tmp = shift;
  my %opts = @_;

  local $SIG{'__WARN__'} = sub {
    print STDERR ("sgetopt($tmp): ", @_);
  };

  my @save_argv = @ARGV;

  @ARGV = ($tmp =~ /([^\"\s]+|\"[^\"]*\")/g);

  foreach my $arg (@ARGV) {
    $arg =~ s/^\"//g;
    $arg =~ s/\"$//g;
  }

  Getopt::Long::Configure(qw(bundling));
  Getopt::Long::GetOptions (%opts);

  my @result = @ARGV;

  @ARGV = @save_argv;

  return @result;
}
